Analyze Call Script
curl --request POST \
--url https://api.example.com/api/v1/agent-templates/analyze-script \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"script_text": "<string>",
"url": "<string>",
"company_name": "",
"language": "en"
}
'import requests
url = "https://api.example.com/api/v1/agent-templates/analyze-script"
payload = {
"script_text": "<string>",
"url": "<string>",
"company_name": "",
"language": "en"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({script_text: '<string>', url: '<string>', company_name: '', language: 'en'})
};
fetch('https://api.example.com/api/v1/agent-templates/analyze-script', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agent-templates/analyze-script",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'script_text' => '<string>',
'url' => '<string>',
'company_name' => '',
'language' => 'en'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agent-templates/analyze-script"
payload := strings.NewReader("{\n \"script_text\": \"<string>\",\n \"url\": \"<string>\",\n \"company_name\": \"\",\n \"language\": \"en\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agent-templates/analyze-script")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"script_text\": \"<string>\",\n \"url\": \"<string>\",\n \"company_name\": \"\",\n \"language\": \"en\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agent-templates/analyze-script")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"script_text\": \"<string>\",\n \"url\": \"<string>\",\n \"company_name\": \"\",\n \"language\": \"en\"\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents & Calls
Analyze Call Script
Read a company’s call script, and optionally its website, into an agent preview. The script gives the conversation: greeting, steps and order of questions, objection replies, mandatory phrases (recording / GDPR notice) and the details to collect. The website gives the facts: offer, prices, hours, address, FAQ. Where the two disagree the script wins; every value has a source, and the disagreements are listed in conflicts. Nothing is created - pass the result to POST /agents/from-script.
POST
/
api
/
v1
/
agent-templates
/
analyze-script
Analyze Call Script
curl --request POST \
--url https://api.example.com/api/v1/agent-templates/analyze-script \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"script_text": "<string>",
"url": "<string>",
"company_name": "",
"language": "en"
}
'import requests
url = "https://api.example.com/api/v1/agent-templates/analyze-script"
payload = {
"script_text": "<string>",
"url": "<string>",
"company_name": "",
"language": "en"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({script_text: '<string>', url: '<string>', company_name: '', language: 'en'})
};
fetch('https://api.example.com/api/v1/agent-templates/analyze-script', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/agent-templates/analyze-script",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'script_text' => '<string>',
'url' => '<string>',
'company_name' => '',
'language' => 'en'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/agent-templates/analyze-script"
payload := strings.NewReader("{\n \"script_text\": \"<string>\",\n \"url\": \"<string>\",\n \"company_name\": \"\",\n \"language\": \"en\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/agent-templates/analyze-script")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"script_text\": \"<string>\",\n \"url\": \"<string>\",\n \"company_name\": \"\",\n \"language\": \"en\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/agent-templates/analyze-script")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"script_text\": \"<string>\",\n \"url\": \"<string>\",\n \"company_name\": \"\",\n \"language\": \"en\"\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your organization's API key (account in the bottom-left of the dashboard → Brosbots API).
Body
application/json
Response
Successful Response
The response is of type object.